Bug 1011699 - [abrt] nautilus-3.9.92-1.fc20: _g_log_abort: Process /usr/bin/nautilus was killed by signal 6 (SIGABRT)
[abrt] nautilus-3.9.92-1.fc20: _g_log_abort: Process /usr/bin/nautilus was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
20
x86_64 Unspecified
high Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:8ee676fc6b18d28ab825be39320...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 17:17 EDT by Igor Gnatenko
Modified: 2015-06-29 08:27 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.33 KB, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (21.14 KB, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: dso_list (13.14 KB, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: environ (1.32 KB, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: maps (65.59 KB, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: open_fds (2.88 KB, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details
File: var_log_messages (494 bytes, text/plain)
2013-09-24 17:17 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-09-24 17:17:10 EDT
Description of problem:
Steps to reproduce:
1. Connect to remote server
2. Bookmark it
3. Open bookmarks (C-b)
4. disconnect from remote server

Actual results:
crash

Version-Release number of selected component:
nautilus-3.9.92-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: _g_log_abort
executable:     /usr/bin/nautilus
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 nautilus_window_get_slots at nautilus-window.c:2094
 #6 update_dbus_opened_locations at nautilus-application.c:1659
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:522
 #9 g_cclosure_marshal_generic at gclosure.c:1454
 #13 g_signal_emit_by_name at gsignal.c:3426
 #14 nautilus_window_slot_emit_location_change at nautilus-window-slot.c:2055
 #15 nautilus_window_slot_set_location at nautilus-window-slot.c:996
 #16 nautilus_window_slot_update_for_new_location at nautilus-window-slot.c:2143
Comment 1 Igor Gnatenko 2013-09-24 17:17:15 EDT
Created attachment 802476 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-09-24 17:17:18 EDT
Created attachment 802477 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-09-24 17:17:22 EDT
Created attachment 802478 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-09-24 17:17:25 EDT
Created attachment 802479 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-09-24 17:17:28 EDT
Created attachment 802480 [details]
File: environ
Comment 6 Igor Gnatenko 2013-09-24 17:17:31 EDT
Created attachment 802481 [details]
File: limits
Comment 7 Igor Gnatenko 2013-09-24 17:17:35 EDT
Created attachment 802482 [details]
File: maps
Comment 8 Igor Gnatenko 2013-09-24 17:17:40 EDT
Created attachment 802483 [details]
File: open_fds
Comment 9 Igor Gnatenko 2013-09-24 17:17:43 EDT
Created attachment 802484 [details]
File: proc_pid_status
Comment 10 Igor Gnatenko 2013-09-24 17:17:46 EDT
Created attachment 802485 [details]
File: var_log_messages
Comment 11 Heiko Adams 2013-10-01 06:33:48 EDT
Problem still exists in nautilus-3.10.0-1.fc20.x86_64
Comment 12 Lukáš Říha 2013-11-12 10:52:10 EST
Had same result (nautilus crash - abrt pointed me here) after trying to open ssh server saved in bookmarks from F17 and F19. Second try (after restarting "Files") was successful, Third try (after disconnecting from server) crashed Nautilus again, fourth as well. After restarting Nautilus again (#5) the server was already in bookmarks in left column, connected.

Nautilus nautilus-3.10.1-1.fc20.x86_64
Comment 13 Ilja Sekler 2014-03-29 08:55:26 EDT
Even simpler STR for this crash, no remote server needed:

1. Open a Nautilus window
2. Open Bookmarks (Ctrl+B)
3. Double click any already existing bookmark in the list.

This happens on i686 as well.

nautilus-3.10.1-3.fc20.i686
Comment 14 Fedora End Of Life 2015-05-29 05:27:04 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 08:27:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.